<div class="card-body p-0">
  <form id="kt_modal_new_target_form" class="form fv-plugins-bootstrap5 fv-plugins-framework" action="#">

    <div class="row">

      <div class="col-12 col-lg-8 col-sm-8 mb-4">
        <div class="d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectTypeRequisition">
            <span class="">Ref : </span>&nbsp; <span class="text-danger text-uppercase">{{ dateRef }}</span>
          </label>
        </div>
      </div>
      <div class="accordion accordion-icon-toggle" id="kt_accordion_2">
        <!--begin::Item-->
        <div class="mb-10">
          <!--begin::Header-->
          <div class="separator separator-dashed my-4"></div>

          <div class="accordion-header d-flex" data-bs-toggle="collapse" data-bs-target="#kt_accordion_2_item_1">
            <div class="fv-plugins-message-container text-primary text-right mb-4"><i class="bi bi-bookmarks-fill"></i>
              Outras informações do documento
            </div>
          </div>

          <div id="kt_accordion_2_item_1" class="fs-6 collapse p-3" data-bs-parent="#kt_accordion_2">

            <div class="row">

              <div class="col-12 col-lg-10 col-sm-8 ">
                <div class="d-flex flex-column fv-row fv-plugins-icon-container">
                  <!--begin::Label-->
                  <label class="d-flex align-items-center fs-6  mb-2">
                    <span class="">Obs</span>
                  </label>
                  <!--end::Label-->
                  <textarea type="text" class="form-control form-control-sm" rows="5"
                            placeholder="de uma descrição de relatorio do movimento de entrada"
                            name="datasheet"></textarea>
                  <div class="fv-plugins-message-container invalid-feedback"></div>
                  <!--  <span class="mt-3 text-muted font-italic ml-5">Selecciona o produto para configurar o codigo de barra</span> -->
                </div>
              </div>

              <div class="col-12 col-lg-2 col-sm-4 justify-content-center text-center">
                <qrcode qrdata="{{idMovement}}" [width]="150" colorLight="#ffffff00"></qrcode>
              </div>
            </div>

          </div>
          <div class="separator separator-dashed my-1"></div>
        </div>

      </div>
    </div>

    <div class="row mt-4">
      <div class="col-12 col-lg-9 col-sm-6 mb-4">
        <div class="d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectStorage">
            <span class="required">Armazém inicial</span>
          </label>
          <!--end::Label-->
          <select class="form-select form-select-sm selector" data-control="select2" data-allow-clear="true"
                  data-placeholder="Selecciona o armazém" id="selectStorage">
            <option></option>
            <option [value]="item|json" *ngFor="let item of listSorage|async">
              {{ item.name }}
            </option>
          </select>

        </div>
      </div>

      <div class=" col-12 col-sm-8 col-md-8 col-lg-5 col-xxl-7 ">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectedArticle">
            <span class="required">Artigo</span>
          </label>
          <!--end::Label-->
          <div class="input-group input-group-sm input-group-solid flex-nowrap">
            <!--end::Label-->
            <div class="overflow-hidden flex-grow-1">
              <select class="form-select form-select-sm selector" data-control="select2"
                      data-allow-clear="true" data-placeholder="Selecciona o artigo" id="selectedArticle23"
                      #selectedProduct>
                <option></option>
                <option [value]="ean|json" *ngFor="let ean of listArticle">
                  {{ ean?.localAmbry + ' - ' + ean?.localShelf + ' : ' }}
                  {{
                  (this.serviceUtil.convertJson(ean.article).ean ? this.serviceUtil.convertJson(ean.article).ean + ' - ' : '')
                  + this.serviceUtil.convertJson(ean.article).name +
                  (this.serviceUtil.convertJson(ean.article).model ? ' - ' + this.serviceUtil.convertJson(ean.article).model : '')

                  }}
                  &nbsp;
                  ({{'Qt ' + ean?.quantity}})
                  <!--  {{(ean.ean ? ean.ean + ' - ' : '') + ean.name + (ean.model ? ' - ' + ean.model : '') }} -->
                </option>
              </select>
            </div>

          </div>


        </div>
      </div>

      <div class="col-12 col-lg-5 col-xxl-3">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 mb-2">
            <span class="">S/N</span>
          </label>
          <!--end::Label-->

          <input type="text" class="form-control form-control-sm " [(ngModel)]="item.oItem.SN"
                 placeholder="Númerio Serial " name="SN">
        </div>
      </div>

      <div class="col-12 col-lg-6 col-xxl-2">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2">
            <span class="required">Qt itens</span>
          </label>
          <!--end::Label-->

          <input type="number" class="form-control form-control-sm"
                 (keyup)="controllerQuantity()" name="quantity"
                 id="quantidadeItem" [(ngModel)]="item.oItem.quantity"
                 placeholder="Quantidade do artigos">

          <div class="fv-plugins-message-container invalid-feedback"></div>
        </div>
      </div>

    </div>

    <div class="row">
      <div class="col-12 col-lg-4 col-sm-6 mb-4">
        <div class="d-flex flex-column fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 fw-bold mb-2" for="selectedArmazem">
            <span class="required">2º Armazem</span>
          </label>
          <!--end::Label-->
          <select class="form-select form-select-sm selector" data-control="select2" data-allow-clear="true"
                  data-placeholder="Selecciona o armazém" id="selectedStorageTo">
            <option></option>
            <option [value]="item|json" *ngFor="let item of listSorage|async">
              {{ item.name }}
            </option>
          </select>

        </div>
      </div>


      <div class="col-12 col-sm-6 col-lg-3">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6 mb-2" for="selectedArmario">
            <span class="">2º Armário</span>
          </label>
          <!--end::Label-->
          <select class="form-select form-select-sm selector" data-control="select2" data-allow-clear="true"
                  data-placeholder="Selecciona o armário" id="selectedArmario">
            <option></option>
            <option [value]="armario|json" *ngFor="let armario of this.listArmarios">
              {{ armario.ambry.name }}
            </option>
          </select>
        </div>
      </div>

      <div class="col-12 col-sm-12 col-lg-4">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container">
          <!--begin::Label-->
          <label class="d-flex align-items-center fs-6  mb-2" for="selectedPrateleira">
            <span class="">2º Prateleira</span>
          </label>
          <!--end::Label-->
          <select class="form-select form-select-sm selector" data-control="select2" data-allow-clear="true"
                  data-placeholder="Selecciona a prateleira" id="selectedPrateleira">
            <option></option>
            <option [value]="pro|json" *ngFor="let pro of listShelf">
              {{ pro.name }}
            </option>
          </select>
        </div>
      </div>

      <div class="col-12 col-lg-1 col-xxl-1 d-flex flex-right">
        <div class="d-flex flex-column mb-4 fv-row fv-plugins-icon-container pt-8 w-100">
          <button type="button" class="btn btn-sm btn-primary mb-2 btn-sm w-100" (click)="addListItems()">
            <i class="fa fa-plus"></i>
          </button>

        </div>
      </div>
    </div>

    <app-itens-transferencia></app-itens-transferencia>

    <div class="col-12 mt-2 mb-4 position-fixed fixed-bottom " style="bottom: 5px; left: -35px; z-index: 110">
      <div class="input-group text-right justify-content-end">


        <button type="button" class="btn btn-sm btn-success mr-2 btn-sm btn" (click)="save()">
          {{ util.SAVE_TEXT}}
        </button>

        <button type="button" class="btn btn-sm btn-danger mr-2 btn-sm" (click)="cancelerMovement()">
          {{ util.CANCEL_TEXT}}
        </button>
      </div>
    </div>

  </form>

</div>


<!---->
